Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363919 - [abrt] initial-setup-gui: handlers.py:832:_connect_unixsocket:ConnectionRefusedError: [Errno 111] Connection refused
Summary: [abrt] initial-setup-gui: handlers.py:832:_connect_unixsocket:ConnectionRefus...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: initial-setup
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Kolman
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5e23e4a881eb2d7edfb2e13c4da...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-03 23:28 UTC by iliketurtlesbro
Modified: 2018-05-29 11:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:50:16 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-03 23:28 UTC, iliketurtlesbro
no flags Details
File: environ (deleted)
2016-08-03 23:28 UTC, iliketurtlesbro
no flags Details

Description iliketurtlesbro 2016-08-03 23:28:05 UTC
Version-Release number of selected component:
initial-setup-gui-0.3.41-2.fc25

Additional info:
reporter:       libreport-2.7.2
cmdline:        /usr/bin/python3 /usr/libexec/initial-setup/initial-setup-graphical --no-stdout-log
executable:     /usr/libexec/initial-setup/initial-setup-graphical
kernel:         4.8.0-0.rc0.git3.1.fc26.x86_64
pkg_vendor:     Fedora Project
runlevel:       unknown
type:           Python3
uid:            0

Truncated backtrace:
handlers.py:832:_connect_unixsocket:ConnectionRefusedError: [Errno 111] Connection refused

Traceback (most recent call last):
  File "/usr/lib64/python3.5/logging/handlers.py", line 821, in _connect_unixsocket
    self.socket.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/libexec/initial-setup/initial-setup-graphical", line 5, in <module>
    is_instance = InitialSetup(gui_mode=True)
  File "/usr/lib/python3.5/site-packages/initial_setup/__init__.py", line 59, in __init__
    initial_setup_log.init(stdout_log=not args.no_stdout_log)
  File "/usr/lib/python3.5/site-packages/initial_setup/initial_setup_log.py", line 48, in init
    syslogHandler = InitialSetupSyslogHandler('/dev/log', SysLogHandler.LOG_LOCAL1, "initial-setup")
  File "/usr/lib/python3.5/site-packages/initial_setup/initial_setup_log.py", line 34, in __init__
    SysLogHandler.__init__(self, address, facility)
  File "/usr/lib64/python3.5/logging/handlers.py", line 804, in __init__
    self._connect_unixsocket(address)
  File "/usr/lib64/python3.5/logging/handlers.py", line 832, in _connect_unixsocket
    self.socket.connect(address)
ConnectionRefusedError: [Errno 111] Connection refused

Local variables in innermost frame:
address: '/dev/log'
self: <initial_setup.initial_setup_log.InitialSetupSyslogHandler object at 0x7f06243d1c88>
use_socktype: <SocketKind.SOCK_STREAM: 1>

Comment 1 iliketurtlesbro 2016-08-03 23:28:08 UTC
Created attachment 1187300 [details]
File: backtrace

Comment 2 iliketurtlesbro 2016-08-03 23:28:09 UTC
Created attachment 1187301 [details]
File: environ

Comment 3 Fedora End Of Life 2017-02-28 10:02:51 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora End Of Life 2018-05-03 08:37:16 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2018-05-29 11:50:16 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.